%define url_ver %(echo %{version}|cut -d. -f1,2)
%define busname org.gnome.MultiWriter

Name:		gnome-multi-writer
Version:	3.24.0
Release:	%mkrel 1
Summary:	Write and verify an ISO file to up to 20 USB devices at once
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/MultiWriter
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.11.2
BuildRequires:	pkgconfig(udisks2)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(gusb) >= 0.2.2
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	appdata-tools
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-utils
Requires:	gsettings-desktop-schemas

%description
GNOME MultiWriter allows to write and verify an ISO file to up to 20 USB
devices at once.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-help

%files -f %{name}.lang
%doc README.md NEWS
%{_bindir}/%{name}
%{_libexecdir}/gnome-multi-writer-probe
%{_datadir}/applications/%{busname}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/appdata/%{busname}.appdata.xml
%{_datadir}/polkit-1/actions/%{busname}.policy
%{_mandir}//man1/%{name}.1*
%{_iconsdir}/*/*/*/*.*


%changelog
* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1093974
- new version 3.24.0

* Wed Oct 12 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060489
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1055699
- new version 3.22.0

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993495
- new version 3.20.0

* Mon Feb 15 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961458
- new version 3.19.90

* Sun Feb 14 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960413
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883182
- new release

  + ovitters <ovitters>
    - new version 3.17.92

* Wed Aug 19 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865861
- new version 3.17.90

* Sat Jun 20 2015 ovitters <ovitters> 3.16.0-1.mga6
+ Revision: 836429
- new version 3.16.0

* Fri Feb 13 2015 ovitters <ovitters> 3.15.90-1.mga5
+ Revision: 814835
- new version 3.15.90

* Mon Jan 19 2015 ovitters <ovitters> 3.15.4-1.mga5
+ Revision: 811447
- new version 3.15.4

* Fri Jan 09 2015 ovitters <ovitters> 3.15.2-1.mga5
+ Revision: 809597
- update url
- new version 3.15.2

* Tue Jan 06 2015 ovitters <ovitters> 3.15.1-1.mga5
+ Revision: 808822
- official 2.15.1 release

* Mon Jan 05 2015 ovitters <ovitters> 3.15.1-0.mga5
+ Revision: 808525
- imported package gnome-multi-writer

